XLOAD(1)

NOM
xload – Affichage de la charge moyenne du système pour X

SYNOPSIS
xload    [-options_toolkit ...] [-scale entier] [-update
secondes]
        [-hl color] [-highlight color] [-remote host]
        [-jumpscroll pixels] [-label chaine] [-nolabel] [-lights]

DESCRIPTION
Le programme xload affiche un histogramme mis à jour périodiquement de la moyenne de charge du système.

OPTIONS

xload accepte toutes les options de la boîte à outils standard de X (consulter X(7)). L’ordre de ces options n’est pas important. xload accepte aussi les options supplémentaires suivantes :

-hl couleur ou -highlight couleur
    Cette option indique la couleur des lignes d’échelle.

-jumpscroll pixels
    Le nombre de pixels de décalage du graphe vers la gauche lorsque le graphe atteint le coté droit de la fenêtre. La valeur par défaut est la moitié de la largeur de la fenêtre en cours. Un déroulement lisse peut être réalisé en réglant cette option à 1.

-label chaine
    La chaine à insérer dans l’étiquette au-dessus de la moyenne de charge.

-nolabel
    Cette option de ligne de commande fait qu’aucune étiquette n’est affichée.

-lights
    Lorsqu’elle est spécifiée, cette option fait que xload affiche la charge moyenne actuelle en utilisant les leds du clavier. Pour une moyenne de charge de n, xload allume les n premières leds du clavier. Cette option supprime l’affichage habituel sur l’écran.

-scale entier
    Cette option précise le nombre minimal de repères dans l’histogramme où une division représente un point de pourcentage de moyenne de charge. Si la charge dépasse ce nombre, xload va créer plus de divisions, mais il n’en utilisera pas moins que ce nombre. La valeur par défaut est 1.

-update secondes
    Cette option précise l’intervalle en secondes entre les mises à jour de l’affichage par xload. Le minimum autorisé est d’une seconde. La valeur par défaut est dix secondes.

-remote hôte
    Si cette option est spécifiée, xload affiche la charge de l’hôte au lieu de localhost. xload obtient l’information de la base de données rwhod et, par conséquent, rwhod(8) doit être en cours d’exécution sur localhost et l’hôte.

RESSOURCES
En plus des ressources disponibles pour chaque composant graphique utilisé par xload, il existe une ressource définie par l’application elle-même.

showLabel classe_booléenne
    Si définie à False, aucune étiquette n’est affichée.

COMPOSANTS GRAPHIQUES
Pour indiquer les ressources, il est utile de connaitre la hiérarchie des composants graphiques qui constituent xload. Dans la notation ci-dessous, l’indentation indique la structure hiérarchique. Le nom de la classe du composant graphique est tout d’abord indiquée suivi du nom de l’instance du composant graphique.

XLoad  xload
        Paned  paned
                Label  label
                StripChart  load

ENVIRONNEMENT

DISPLAY
    Obtention du nom de l’hôte et du display par défaut.

XENVIRONMENT
    Obtention du fichier de ressources outrepassant les ressources globales stockées dans la propriété RESOURCE_MANAGER.

FICHIERS

/etc/X11/app-defaults/XLoad
    Indication des ressources requises.

VOIR AUSSI
X(7), xrdb(1), mem(4), Athena StripChart Widget.

BOGUES
Dans les anciennes plateformes, ce programme peut nécessiter d’ouvrir et de lire le fichier spécial /dev/kmem du système. Les sites qui n’autorisent pas un accès général à ce fichier pourraient devoir faire appartenir xload au même groupe que /dev/kmem et activer le drapeau de permission set group id.

La lecture de la moyenne de charge est par essence non portable. Par conséquent, la routine utilisée pour l’obtenir (get_load.c) doit être adaptée pour chaque nouveau système d’exploitation.

AUTEURS
K. Shane Hartman (MIT-LCS) et Stuart A. Malone (MIT-LCS) ;
avec des fonctionnalités ajoutées par Jim Gettys (MIT-Athena), Bob Scheifler (MIT-LCS), Tony Della Fera (MIT-Athena) et Chris Peterson (MIT-LCS).

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.